Bug 1029180 - Openconnect VPN stuck off, unable to disconnect
Openconnect VPN stuck off, unable to disconnect
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 15:53 EST by brshea
Modified: 2015-06-14 15:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-12 07:44:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brshea 2013-11-11 15:53:11 EST
Description of problem:

After successfully connecting to an openconnect vpn via Network Settings, the corresponding entry in the NetworkManager widget still displays 'Off'. Clicking this attempts to connect to the VPN again, despite already being connected. It is possible to disconnect via Network Settings.


Version-Release number of selected component (if applicable):


How reproducible: All the time


Steps to Reproduce:
1. Set up an openconnect-based VPN in Network Settings.
2. Connect to the VPN.

Actual results:

NetworkManager shows VPN as 'Off'.


Expected results:

NetworkManager shows VPN as 'On' and can properly control the VPN connection.


Additional info:
Comment 1 Jirka Klimes 2014-02-11 10:48:55 EST
Is that still an issue?

Most probably gnome-shell applet bug. Do you see correct status in GUI nm-applet or command-line nmcli tool?

$ nmcli con status  (active connections on Fedora 19)
$ nmcli con show active  
or
$ nmcli con show --active  (on Fedora 20)
Comment 2 brshea 2014-02-11 11:05:07 EST
This is no longer an issue on Fedora 20.
Comment 3 Langdon White 2015-06-14 15:43:59 EDT
I am not sure if this is related, but it seems like it. If I am connected to a VPN, and I click on a different on, it does not 1) kill the old one; 2) start the new one as I would expect. Instead it gets locked in to a confused state where on/off is mixed up (displays on in the status bar but the off is selected in the drop down) and clicking on any VPN does not pop a dialog to restart until I restart NetworkManager (perhaps nm-applet? but I haven't tried that).


Installed Packages
NetworkManager.x86_64                            1:1.0.2-1.fc22                     
NetworkManager-adsl.x86_64                       1:1.0.2-1.fc22                     
NetworkManager-bluetooth.x86_64                  1:1.0.2-1.fc22                     
NetworkManager-config-connectivity-fedora.x86_64 1:1.0.2-1.fc22                     
NetworkManager-glib.x86_64                       1:1.0.2-1.fc22                     
NetworkManager-libnm.x86_64                      1:1.0.2-1.fc22                     
NetworkManager-openconnect.x86_64                1.0.2-1.fc22                       
NetworkManager-openvpn.x86_64                    1:1.0.2-2.fc22                     
NetworkManager-openvpn-gnome.x86_64              1:1.0.2-2.fc22                     
NetworkManager-pptp.x86_64                       1:1.1.0-1.20150428git695d4f2.fc22  
NetworkManager-pptp-gnome.x86_64                 1:1.1.0-1.20150428git695d4f2.fc22  
NetworkManager-team.x86_64                       1:1.0.2-1.fc22                     
NetworkManager-vpnc.x86_64                       1:1.0.2-1.fc22                     
NetworkManager-vpnc-gnome.x86_64                 1:1.0.2-1.fc22                     
NetworkManager-wifi.x86_64                       1:1.0.2-1.fc22                     
NetworkManager-wwan.x86_64                       1:1.0.2-1.fc22

Note You need to log in before you can comment on or make changes to this bug.